<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package appointment_management
 */


// Output inline CSS based on Customizer setting
function appointment_management_customizer_css() {
    $appointment_management_enable_breadcrumb = get_theme_mod('appointment_management_enable_breadcrumb', true);
    ?>
    <style type="text/css">
        <?php if (!$appointment_management_enable_breadcrumb) : ?>
            nav.woocommerce-breadcrumb {
                display: none;
            }
        <?php endif; ?>
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_customizer_css');

function appointment_management_customize_css() {
    ?>
    <style type="text/css">
        :root {
            --primary-color: <?php echo esc_html( get_theme_mod( 'appointment_management_primary_color', '#009688' ) ); ?>;
        }
    </style>
    <?php
}
add_action( 'wp_head', 'appointment_management_customize_css' );


function appointment_management_enqueue_selected_fonts() {
    $appointment_management_fonts_url = appointment_management_get_fonts_url();
    if (!empty($appointment_management_fonts_url)) {
        wp_enqueue_style('appointment-management-google-fonts', $appointment_management_fonts_url, array(), null);
    }
}
add_action('wp_enqueue_scripts', 'appointment_management_enqueue_selected_fonts');

function appointment_management_layout_customizer_css() {
    $appointment_management_margin = get_theme_mod('appointment_management_layout_width_margin', 50);
    ?>
    <style type="text/css">
        body.site-boxed--layout #page  {
            margin: 0 <?php echo esc_attr($appointment_management_margin); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_layout_customizer_css');

function appointment_management_blog_layout_customizer_css() {
    // Retrieve the blog layout option
    $appointment_management_blog_layout_option = get_theme_mod('appointment_management_blog_layout_option_setting', 'Left');

    // Initialize custom CSS variable
    $appointment_management_custom_css = '';

    // Generate custom CSS based on the layout option
    if ($appointment_management_blog_layout_option === 'Default') {
        $appointment_management_custom_css .= '.mag-post-detail { text-align: center; }';
    } elseif ($appointment_management_blog_layout_option === 'Left') {
        $appointment_management_custom_css .= '.mag-post-detail { text-align: left; }';
    } elseif ($appointment_management_blog_layout_option === 'Right') {
        $appointment_management_custom_css .= '.mag-post-detail { text-align: right; }';
    }

    // Output the combined CSS
    ?>
    <style type="text/css">
        <?php echo wp_kses($appointment_management_custom_css, array( 'style' => array(), 'text-align' => array() )); ?>
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_blog_layout_customizer_css');

function appointment_management_sidebar_width_customizer_css() {
    $appointment_management_sidebar_width = get_theme_mod('appointment_management_sidebar_width', '30');
    ?>
    <style type="text/css">
        .right-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: auto <?php echo esc_attr($appointment_management_sidebar_width); ?>%;
        }
        .left-sidebar .asterthemes-wrapper .asterthemes-page {
            grid-template-columns: <?php echo esc_attr($appointment_management_sidebar_width); ?>% auto;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_sidebar_width_customizer_css');

if ( ! function_exists( 'appointment_management_get_page_title' ) ) {
    function appointment_management_get_page_title() {
        $appointment_management_title = '';

        if (is_404()) {
            $appointment_management_title = esc_html__('Page Not Found', 'appointment-management');
        } elseif (is_search()) {
            $appointment_management_title = esc_html__('Search Results for: ', 'appointment-management') . esc_html(get_search_query());
        } elseif (is_home() && !is_front_page()) {
            $appointment_management_title = esc_html__('Blogs', 'appointment-management');
        } elseif (function_exists('is_shop') && is_shop()) {
            $appointment_management_title = esc_html__('Shop', 'appointment-management');
        } elseif (is_page()) {
            $appointment_management_title = get_the_title();
        } elseif (is_single()) {
            $appointment_management_title = get_the_title();
        } elseif (is_archive()) {
            $appointment_management_title = get_the_archive_title();
        } else {
            $appointment_management_title = get_the_archive_title();
        }

        return apply_filters('appointment_management_page_title', $appointment_management_title);
    }
}

if ( ! function_exists( 'appointment_management_has_page_header' ) ) {
    function appointment_management_has_page_header() {
        // Default to true (display header)
        $appointment_management_return = true;

        // Custom conditions for disabling the header
        if ('hide-all-devices' === get_theme_mod('appointment_management_page_header_visibility', 'all-devices')) {
            $appointment_management_return = false;
        }

        // Apply filters and return
        return apply_filters('appointment_management_display_page_header', $appointment_management_return);
    }
}

if ( ! function_exists( 'appointment_management_page_header_style' ) ) {
    function appointment_management_page_header_style() {
        $appointment_management_style = get_theme_mod('appointment_management_page_header_style', 'default');
        return apply_filters('appointment_management_page_header_style', $appointment_management_style);
    }
}

function appointment_management_page_title_customizer_css() {
    $appointment_management_layout_option = get_theme_mod('appointment_management_page_header_layout', 'left');
    ?>
    <style type="text/css">
        .asterthemes-wrapper.page-header-inner {
            <?php if ($appointment_management_layout_option === 'flex') : ?>
                display: flex;
                justify-content: space-between;
                align-items: center;
            <?php else : ?>
                text-align: <?php echo esc_attr($appointment_management_layout_option); ?>;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_page_title_customizer_css');

function appointment_management_pagetitle_height_css() {
    $appointment_management_height = get_theme_mod('appointment_management_pagetitle_height', 50);
    ?>
    <style type="text/css">
        header.page-header {
            padding: <?php echo esc_attr($appointment_management_height); ?>px 0;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_pagetitle_height_css');

function appointment_management_site_logo_width() {
    $appointment_management_site_logo_width = get_theme_mod('appointment_management_site_logo_width', 200);
    ?>
    <style type="text/css">
        .site-logo img {
            max-width: <?php echo esc_attr($appointment_management_site_logo_width); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_site_logo_width');

function appointment_management_menu_font_size_css() {
    $appointment_management_menu_font_size = get_theme_mod('appointment_management_menu_font_size', 15);
    ?>
    <style type="text/css">
        .main-navigation a {
            font-size: <?php echo esc_attr($appointment_management_menu_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_menu_font_size_css');

//Menu Font Weight
function appointment_management_menu_font_weight_css() {
	$appointment_management_font_weight = get_theme_mod( 'appointment_management_menu_font_weight', 400 );

	$appointment_management_custom_css = "
		.main-navigation a {
		    font-weight: {$appointment_management_font_weight};
		}
	";

	wp_add_inline_style( 'appointment-management-style', $appointment_management_custom_css );
}
add_action( 'wp_enqueue_scripts', 'appointment_management_menu_font_weight_css' );

function appointment_management_menu_text_transform_css() {
    $menu_text_transform = get_theme_mod('appointment_management_menu_text_transform', 'capitalize');
    ?>
    <style type="text/css">
        .main-navigation a {
            text-transform: <?php echo esc_attr($menu_text_transform); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_menu_text_transform_css');

// Featured Image Dimension
function appointment_management_custom_featured_image_css() {
    $appointment_management_dimension = get_theme_mod('appointment_management_blog_post_featured_image_dimension', 'default');
    $appointment_management_width = get_theme_mod('appointment_management_blog_post_featured_image_custom_width', '');
    $appointment_management_height = get_theme_mod('appointment_management_blog_post_featured_image_custom_height', '');
    
    if ($appointment_management_dimension === 'custom' && $appointment_management_width && $appointment_management_height) {
        $appointment_management_custom_css = "body:not(.single-post) .mag-post-single .mag-post-img img { width: {$appointment_management_width}px !important; height: {$appointment_management_height}px !important; }";
        wp_add_inline_style('appointment-management-style', $appointment_management_custom_css);
    }
}
add_action('wp_enqueue_scripts', 'appointment_management_custom_featured_image_css');

// Featured Image Border Radius
function appointment_management_featured_image_border_radius_css() {
    $appointment_management_featured_image_border_radius = get_theme_mod('appointment_management_featured_image_border_radius', 10);
    ?>
    <style type="text/css">  
        .mag-post-single img {
            border-radius: <?php echo esc_attr($appointment_management_featured_image_border_radius); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_featured_image_border_radius_css');

function appointment_management_sidebar_widget_font_size_css() {
    $appointment_management_sidebar_widget_font_size = get_theme_mod('appointment_management_sidebar_widget_font_size', 24);
    ?>
    <style type="text/css">
        h2.wp-block-heading,aside#secondary .widgettitle,aside#secondary .widget-title {
            font-size: <?php echo esc_attr($appointment_management_sidebar_widget_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_sidebar_widget_font_size_css');

// Woocommerce Related Products Settings
function appointment_management_related_product_css() {
    $appointment_management_related_product_show_hide = get_theme_mod('appointment_management_related_product_show_hide', true);

    if ( $appointment_management_related_product_show_hide != true) {
        ?>
        <style type="text/css">
            .related.products {
                display: none;
            }
        </style>
        <?php
    }
}
add_action('wp_head', 'appointment_management_related_product_css');

// Woocommerce Product Sale Position 
function appointment_management_product_sale_position_customizer_css() {
    $appointment_management_layout_option = get_theme_mod('appointment_management_product_sale_position', 'left');
    ?>
    <style type="text/css">
        .woocommerce ul.products li.product .onsale {
            <?php if ($appointment_management_layout_option === 'left') : ?>
                right: auto;
                left: 0px;
            <?php else : ?>
                left: auto;
                right: 0px;
            <?php endif; ?>
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_product_sale_position_customizer_css');  

//Footer Social Icon Alignment
function appointment_management_footer_icons_alignment_css() {
    $appointment_management_footer_social_align = get_theme_mod( 'appointment_management_footer_social_align', 'center' );   
    ?>
    <style type="text/css">
        .socialicons {
            text-align: <?php echo esc_attr( $appointment_management_footer_social_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .socialicons {
                text-align: center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'appointment_management_footer_icons_alignment_css' );

//Copyright Alignment
function appointment_management_footer_copyright_alignment_css() {
    $appointment_management_footer_bottom_align = get_theme_mod( 'appointment_management_footer_bottom_align', 'center' );   
    ?>
    <style type="text/css">
        .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
            justify-content: <?php echo esc_attr( $appointment_management_footer_bottom_align ); ?> 
        }

        /* Mobile Specific */
        @media screen and (max-width: 575px) {
            .site-footer .site-footer-bottom .site-footer-bottom-wrapper {
                justify-content: center;
                text-align:center;
            }
        }
    </style>
    <?php
}
add_action( 'wp_head', 'appointment_management_footer_copyright_alignment_css' );

//Copyright Font Size
function appointment_management_copyright_font_size_css() {
    $appointment_management_copyright_font_size = get_theme_mod('appointment_management_copyright_font_size', 16);
    ?>
    <style type="text/css">
        .site-footer-bottom .site-info span {
            font-size: <?php echo esc_attr($appointment_management_copyright_font_size); ?>px;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_copyright_font_size_css');

// Preloader Background Color Setting
function appointment_management_preloader_background_colors_css() {
    $appointment_management_preloader_background_color_setting = get_theme_mod('appointment_management_preloader_background_color_setting', '');
        // Only output CSS if a color is set
        if (empty($appointment_management_preloader_background_color_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-color: <?php echo esc_attr($appointment_management_preloader_background_color_setting); ?>;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_preloader_background_colors_css');

// Preloader Background Image Setting
function appointment_management_preloader_background_image_css() {
    $appointment_management_preloader_background_image_setting = get_theme_mod('appointment_management_preloader_background_image_setting', '');
        // Only output CSS if the background image is set
        if (empty($appointment_management_preloader_background_image_setting)) {
            return;
        }
    ?>
    <style type="text/css">
        #loader {
            background-image: url('<?php echo esc_url($appointment_management_preloader_background_image_setting); ?>');
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center;
        }
    </style>
    <?php
}
add_action('wp_head', 'appointment_management_preloader_background_image_css');

//Footer Heading Alignment
function appointment_management_footer_heading_alignment_css() {
    $appointment_management_footer_header_align = get_theme_mod( 'appointment_management_footer_header_align', 'left' );   
    ?>
    <style type="text/css">
        .site-footer h4, footer#colophon h2.wp-block-heading, footer#colophon .widgettitle, footer#colophon .widget-title {
            text-align: <?php echo esc_attr( $appointment_management_footer_header_align ); ?> 
        }
    </style>
    <?php
}
add_action( 'wp_head', 'appointment_management_footer_heading_alignment_css' );

//First Capital Letter
function appointment_management_show_first_caps() {
	$appointment_management_first_caps = get_theme_mod('appointment_management_show_first_caps', false);
	$appointment_management_css = '';
	if ( $appointment_management_first_caps ) {
	$appointment_management_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
		    font-size: 55px;
			font-weight: 600;
			margin-right: 6px;
			line-height: 1;
			display: inline-block;
			vertical-align: baseline;
		}';
	} else {
		$appointment_management_css .= '
		.mag-post-single .mag-post-detail .mag-post-excerpt p:first-of-type::first-letter {
			display: none;
		}';
	}
	wp_add_inline_style( 'appointment-management-style', $appointment_management_css );
}
add_action( 'wp_enqueue_scripts', 'appointment_management_show_first_caps' );

// Banner Button Color
function appointment_management_banner_button_color_css() {

    $btn_color = get_theme_mod('appointment_management_banner_btn_color');
    $btn_bg_color = get_theme_mod('appointment_management_banner_btn_bg_color');

    $custom_css = '';
    if($btn_color){
        $custom_css .= "
        .banner-slider-btn a.asterthemes-button{
            color: {$btn_color} !important;
        }";
    }
    if($btn_bg_color){
        $custom_css .= "
        .banner-slider-btn a.asterthemes-button{
            background: {$btn_bg_color} !important;
        }";
    }
    wp_add_inline_style('appointment-management-style', $custom_css);
}
add_action('wp_enqueue_scripts','appointment_management_banner_button_color_css');